Index: /trunk/Cocoa/DockCam/DockCam.m
===================================================================
--- /trunk/Cocoa/DockCam/DockCam.m	(revision 142)
+++ /trunk/Cocoa/DockCam/DockCam.m	(revision 143)
@@ -354,5 +354,5 @@
 - (void)applicationDidFinishLaunching:(NSNotification *)aNotification;
 {
-    [CURLHandle curlHelloSignature:'XxXx' acceptAll:YES];
+    [CURLHandle curlHelloSignature: @"XxXx" acceptAll: YES];
 }
 
Index: /trunk/Cocoa/DockCam/DockCam.pbproj/nicholas.pbxuser
===================================================================
--- /trunk/Cocoa/DockCam/DockCam.pbproj/nicholas.pbxuser	(revision 142)
+++ /trunk/Cocoa/DockCam/DockCam.pbproj/nicholas.pbxuser	(revision 143)
@@ -17,126 +17,5 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 56183221;
-			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
-				ContentSize = "{668, 621}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 0}, {668, 621}}";
-					Split0 = {
-						Collapsed = NO;
-						Frame = "{{0, 0}, {668, 621}}";
-						Split0 = {
-							Frame = "{{0, 0}, {668, 621}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {484, 208}}";
-								Split0 = {
-									Frame = "{{0, 24}, {484, 184}}";
-									Split0 = {
-										Frame = "{{0, 0}, {236, 184}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											62.123,
-										);
-										Frame = "{{245, 0}, {239, 184}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {484, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab1 = {
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 208}}";
-							};
-						};
-						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {666, 43}}";
-							BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
-							Frame = "{{0, 0}, {664, 50}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 4;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				StatusViewVisible = NO;
-				Template = F5CA7ECB015C094F0DCA290F;
-				ToolbarVisible = NO;
-				WindowLocation = "{482, 114}";
-			};
+			PBXPerProjectTemplateStateSaveDate = 77335785;
 			PBXWorkspaceContents = (
 				{
@@ -144,12 +23,39 @@
 						Split0 = {
 							Split0 = {
+								NavContent0 = {
+									bookmark = E1F929E7049C0D3100CDB66B;
+									history = (
+										E1DD5D0C049B365200FCD5FF,
+										E1DD5D0D049B365200FCD5FF,
+										E1DD5D0E049B365200FCD5FF,
+										E1DD5D0F049B365200FCD5FF,
+										E1DD5D10049B365200FCD5FF,
+										E1DD5D11049B365200FCD5FF,
+										E1DD5D12049B365200FCD5FF,
+										E1DD5D1D049B365200FCD5FF,
+									);
+									nextStack = (
+										E1DD5D1C049B365200FCD5FF,
+									);
+									prevStack = (
+										E1DD5D14049B365200FCD5FF,
+										E1DD5D15049B365200FCD5FF,
+										E1DD5D16049B365200FCD5FF,
+										E1DD5D17049B365200FCD5FF,
+										E1DD5D18049B365200FCD5FF,
+										E1DD5D19049B365200FCD5FF,
+										E1DD5D1A049B365200FCD5FF,
+										E1DD5D1B049B365200FCD5FF,
+									);
+								};
 								NavCount = 1;
 								NavGeometry0 = {
-									Frame = "{{0, 0}, {150, 530}}";
+									Frame = "{{0, 0}, {790, 568}}";
 									NavBarVisible = YES;
 								};
+								NavSplitVertical = NO;
 							};
 							SplitCount = 1;
-							Tab0 = {
+							Tab1 = {
 								Debugger = {
 									Split0 = {
@@ -161,10 +67,10 @@
 								LauncherConfigVersion = 7;
 							};
-							Tab1 = {
+							Tab2 = {
 								LauncherConfigVersion = 3;
 								Runner = {
 								};
 							};
-							TabCount = 4;
+							TabCount = 5;
 						};
 						SplitCount = 1;
@@ -178,35 +84,39 @@
 			PBXWorkspaceGeometries = (
 				{
-					ContentSize = "{352, 553}";
+					ContentSize = "{1073, 591}";
 					LeftSlideOut = {
 						ActiveTab = 0;
-						Collapsed = YES;
-						Frame = "{{0, 23}, {352, 530}}";
+						ActiveTabName = PBXGroupTreeModule;
+						Collapsed = NO;
+						Frame = "{{0, 23}, {1073, 568}}";
 						Split0 = {
 							Collapsed = NO;
-							Frame = "{{1e+06, 1e+06}, {0, 530}}";
+							Frame = "{{283, 0}, {790, 568}}";
 							Split0 = {
-								Frame = "{{0, 0}, {0, 530}}";
+								Frame = "{{0, 0}, {790, 568}}";
 							};
 							SplitCount = 1;
 							Tab0 = {
+								Frame = "{{0, 0}, {681, 289}}";
+							};
+							Tab1 = {
 								Debugger = {
 									Collapsed = NO;
-									Frame = "{{0, 0}, {484, 208}}";
+									Frame = "{{0, 0}, {681, 150}}";
 									Split0 = {
-										Frame = "{{0, 24}, {484, 184}}";
+										Frame = "{{0, 24}, {681, 126}}";
 										Split0 = {
-											Frame = "{{0, 0}, {236, 184}}";
+											Frame = "{{0, 0}, {333, 126}}";
 										};
 										Split1 = {
 											DebugVariablesTableConfiguration = (
 												Name,
-												48.80299,
+												123,
 												Value,
-												71.07401,
+												85,
 												Summary,
-												93.123,
+												105.123,
 											);
-											Frame = "{{245, 0}, {239, 184}}";
+											Frame = "{{342, 0}, {339, 126}}";
 										};
 										SplitCount = 2;
@@ -222,62 +132,63 @@
 									TabsVisible = YES;
 								};
-								Frame = "{{0, 0}, {484, 208}}";
+								Frame = "{{0, 0}, {681, 120}}";
 								LauncherConfigVersion = 7;
 							};
-							Tab1 = {
-								Frame = "{{0, 0}, {664, 208}}";
+							Tab2 = {
+								Frame = "{{0, 0}, {681, 234}}";
 								LauncherConfigVersion = 3;
 								Runner = {
-									Frame = "{{0, 0}, {664, 208}}";
+									Frame = "{{0, 0}, {681, 234}}";
 								};
 							};
-							Tab2 = {
-								BuildMessageFrame = "{{0, 0}, {666, 43}}";
-								BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
-								Frame = "{{0, 0}, {664, 50}}";
-							};
 							Tab3 = {
+								BuildMessageFrame = "{{0, 0}, {683, 205}}";
+								BuildTranscriptFrame = "{{0, 214}, {683, 2}}";
+								BuildTranscriptFrameExpanded = YES;
+								Frame = "{{0, 0}, {681, 238}}";
+							};
+							Tab4 = {
 								Frame = "{{0, 0}, {612, 295}}";
 							};
-							TabCount = 4;
+							TabCount = 5;
 							TabsVisible = NO;
 						};
 						SplitCount = 1;
 						Tab0 = {
-							Frame = "{{0, 0}, {328, 530}}";
+							Frame = "{{0, 0}, {259, 568}}";
 							GroupTreeTableConfiguration = (
 								TargetStatusColumn,
 								18,
 								MainColumn,
-								295,
+								226,
 							);
 						};
 						Tab1 = {
-							ClassesFrame = "{{0, 0}, {343, 348}}";
+							ClassesFrame = "{{0, 0}, {250, 333}}";
 							ClassesTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
 								20,
 								PBXClassColumnIdentifier,
-								300,
+								207,
 							);
-							Frame = "{{0, 0}, {341, 578}}";
-							MembersFrame = "{{0, 357}, {343, 221}}";
+							Frame = "{{0, 0}, {248, 554}}";
+							MembersFrame = "{{0, 342}, {250, 212}}";
 							MembersTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
 								20,
 								PBXMethodColumnIdentifier,
-								299,
+								206,
 							);
 						};
 						Tab2 = {
-							Frame = "{{0, 0}, {319, 576}}";
+							Frame = "{{0, 0}, {217, 554}}";
 						};
 						Tab3 = {
-							Frame = "{{0, 0}, {328, 530}}";
+							Frame = "{{0, 0}, {239, 554}}";
 							TargetTableConfiguration = (
 								ActiveObject,
 								16,
 								ObjectNames,
-								295.296,
+								206.296,
 							);
 						};
@@ -285,20 +196,41 @@
 							BreakpointsTreeTableConfiguration = (
 								breakpointColumn,
-								266,
+								197,
 								enabledColumn,
 								31,
 							);
-							Frame = "{{0, 0}, {319, 576}}";
+							Frame = "{{0, 0}, {250, 554}}";
 						};
 						TabCount = 5;
 						TabsVisible = YES;
 					};
+					NavBarShownByDefault = YES;
 					StatusViewVisible = YES;
-					Template = F5E465990156DFB90DCA290F;
+					Template = 64ABBB4501FA494900185B06;
 					ToolbarVisible = YES;
-					WindowLocation = "{11, 546}";
+					WindowLocation = "{5, 179}";
 				},
 			);
-			PBXWorkspaceStateSaveDate = 56183221;
+			PBXWorkspaceStateSaveDate = 77335785;
+		};
+		perUserProjectItems = {
+			E1DD5D0C049B365200FCD5FF = E1DD5D0C049B365200FCD5FF;
+			E1DD5D0D049B365200FCD5FF = E1DD5D0D049B365200FCD5FF;
+			E1DD5D0E049B365200FCD5FF = E1DD5D0E049B365200FCD5FF;
+			E1DD5D0F049B365200FCD5FF = E1DD5D0F049B365200FCD5FF;
+			E1DD5D10049B365200FCD5FF = E1DD5D10049B365200FCD5FF;
+			E1DD5D11049B365200FCD5FF = E1DD5D11049B365200FCD5FF;
+			E1DD5D12049B365200FCD5FF = E1DD5D12049B365200FCD5FF;
+			E1DD5D14049B365200FCD5FF = E1DD5D14049B365200FCD5FF;
+			E1DD5D15049B365200FCD5FF = E1DD5D15049B365200FCD5FF;
+			E1DD5D16049B365200FCD5FF = E1DD5D16049B365200FCD5FF;
+			E1DD5D17049B365200FCD5FF = E1DD5D17049B365200FCD5FF;
+			E1DD5D18049B365200FCD5FF = E1DD5D18049B365200FCD5FF;
+			E1DD5D19049B365200FCD5FF = E1DD5D19049B365200FCD5FF;
+			E1DD5D1A049B365200FCD5FF = E1DD5D1A049B365200FCD5FF;
+			E1DD5D1B049B365200FCD5FF = E1DD5D1B049B365200FCD5FF;
+			E1DD5D1C049B365200FCD5FF = E1DD5D1C049B365200FCD5FF;
+			E1DD5D1D049B365200FCD5FF = E1DD5D1D049B365200FCD5FF;
+			E1F929E7049C0D3100CDB66B = E1F929E7049C0D3100CDB66B;
 		};
 		projectwideBuildSettings = {
@@ -314,4 +246,178 @@
 		);
 	};
+	E1DD5D0C049B365200FCD5FF = {
+		fRef = F5D224A702CC709501AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRVendingImageView.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 293;
+		vrLoc = 0;
+	};
+	E1DD5D0D049B365200FCD5FF = {
+		fRef = F5D224A602CC709501AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRVendingImageView.m: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1235;
+		vrLoc = 0;
+	};
+	E1DD5D0E049B365200FCD5FF = {
+		fRef = F58CD71502CDA0D401AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRWindowMagnetism.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 484;
+		vrLoc = 0;
+	};
+	E1DD5D0F049B365200FCD5FF = {
+		fRef = F58CD71602CDA0D401AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRWindowMagnetism.m: 9";
+		rLen = 0;
+		rLoc = 192;
+		rType = 0;
+		vrLen = 938;
+		vrLoc = 0;
+	};
+	E1DD5D10049B365200FCD5FF = {
+		fRef = F5E40F3D02CB0BCE01AEEDB1;
+		isa = PBXTextBookmark;
+		name = "DockCamStatus.m: hideWindow:";
+		rLen = 0;
+		rLoc = 1214;
+		rType = 0;
+		vrLen = 1053;
+		vrLoc = 765;
+	};
+	E1DD5D11049B365200FCD5FF = {
+		isa = PBXTargetBookmark;
+		trg = 29B97326FDCFA39411CA2CEA;
+	};
+	E1DD5D12049B365200FCD5FF = {
+		fRef = E1DD5D1E049B365200FCD5FF;
+		isa = PBXTextBookmark;
+		name = "CURLHandle.h: 75";
+		rLen = 0;
+		rLoc = 3459;
+		rType = 0;
+		vrLen = 1620;
+		vrLoc = 2471;
+	};
+	E1DD5D14049B365200FCD5FF = {
+		fRef = F58CD71502CDA0D401AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRWindowMagnetism.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 484;
+		vrLoc = 0;
+	};
+	E1DD5D15049B365200FCD5FF = {
+		fRef = F5D224A702CC709501AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRVendingImageView.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 293;
+		vrLoc = 0;
+	};
+	E1DD5D16049B365200FCD5FF = {
+		fRef = F5D224A602CC709501AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRVendingImageView.m: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1235;
+		vrLoc = 0;
+	};
+	E1DD5D17049B365200FCD5FF = {
+		fRef = F58CD71502CDA0D401AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRWindowMagnetism.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 484;
+		vrLoc = 0;
+	};
+	E1DD5D18049B365200FCD5FF = {
+		fRef = F58CD71602CDA0D401AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRWindowMagnetism.m: 9";
+		rLen = 0;
+		rLoc = 192;
+		rType = 0;
+		vrLen = 938;
+		vrLoc = 0;
+	};
+	E1DD5D19049B365200FCD5FF = {
+		isa = PBXTargetBookmark;
+		trg = 29B97326FDCFA39411CA2CEA;
+	};
+	E1DD5D1A049B365200FCD5FF = {
+		fRef = F5E40F3D02CB0BCE01AEEDB1;
+		isa = PBXTextBookmark;
+		name = "DockCamStatus.m: hideWindow:";
+		rLen = 0;
+		rLoc = 1214;
+		rType = 0;
+		vrLen = 1053;
+		vrLoc = 765;
+	};
+	E1DD5D1B049B365200FCD5FF = {
+		isa = PBXTargetBookmark;
+		trg = 29B97326FDCFA39411CA2CEA;
+	};
+	E1DD5D1C049B365200FCD5FF = {
+		fRef = E1DD5D1F049B365200FCD5FF;
+		isa = PBXTextBookmark;
+		name = "CURLHandle.h: 75";
+		rLen = 0;
+		rLoc = 3459;
+		rType = 0;
+		vrLen = 1620;
+		vrLoc = 2471;
+	};
+	E1DD5D1D049B365200FCD5FF = {
+		fRef = F5C2947A02C98F3D01AEEDB1;
+		isa = PBXTextBookmark;
+		name = "DockCam.m: copy:";
+		rLen = 0;
+		rLoc = 12128;
+		rType = 0;
+		vrLen = 1060;
+		vrLoc = 11627;
+	};
+	E1DD5D1E049B365200FCD5FF = {
+		isa = PBXFileReference;
+		name = CURLHandle.h;
+		path = "/Users/nicholas/Documents/Development/Third-party/CURLHandle/CURLHandleSource/build/CURLHandle.framework/Versions/A/Headers/CURLHandle.h";
+		refType = 0;
+	};
+	E1DD5D1F049B365200FCD5FF = {
+		isa = PBXFileReference;
+		name = CURLHandle.h;
+		path = "/Users/nicholas/Documents/Development/Third-party/CURLHandle/CURLHandleSource/build/CURLHandle.framework/Versions/A/Headers/CURLHandle.h";
+		refType = 0;
+	};
+	E1F929E7049C0D3100CDB66B = {
+		fRef = F5C2947A02C98F3D01AEEDB1;
+		isa = PBXTextBookmark;
+		name = "DockCam.m: URLHandle:resourceDataDidBecomeAvailable:";
+		rLen = 11;
+		rLoc = 8838;
+		rType = 0;
+		vrLen = 998;
+		vrLoc = 8460;
+	};
 	F5643F9702CEF87001AEEDB1 = {
 		isa = PBXSymbolicBreakpoint;
@@ -321,6 +427,10 @@
 	F5C2947702C9824601AEEDB1 = {
 		activeArgIndex = 2147483647;
+		activeArgIndices = (
+		);
 		argumentStrings = (
 		);
+		configStateDict = {
+		};
 		debuggerPlugin = GDBDebugging;
 		dylibVariantSuffix = "";
@@ -359,5 +469,5 @@
 		isa = PBXTextBookmark;
 		name = "DockCam.m: 1";
-		rLen = 12684;
+		rLen = 12687;
 		rLoc = 0;
 		rType = 0;
Index: /trunk/Cocoa/DockCam/DockCam.pbproj/project.pbxproj
===================================================================
--- /trunk/Cocoa/DockCam/DockCam.pbproj/project.pbxproj	(revision 142)
+++ /trunk/Cocoa/DockCam/DockCam.pbproj/project.pbxproj	(revision 143)
@@ -140,4 +140,5 @@
 				4A9504CDFFE6A4B311CA0CBA,
 			);
+			hasScannedForEncodings = 1;
 			isa = PBXProject;
 			mainGroup = 29B97314FDCFA39411CA2CEA;
@@ -170,4 +171,5 @@
 		};
 		29B97316FDCFA39411CA2CEA = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = main.m;
@@ -235,6 +237,6 @@
 			);
 			buildSettings = {
-				FRAMEWORK_SEARCH_PATHS = "\"/Volumes/GrayExtra/Extra/Framework sources/CURLHandle/CURLHandleSource/build\" \"/Volumes/GrayExtra/Extra/Framework sources/CURLHandle\"";
-				HEADER_SEARCH_PATHS = "/sw/include /usr/local/fink/include /usr/local/include";
+				FRAMEWORK_SEARCH_PATHS = "/Users/nicholas/Documents/Development/Third-party/CURLHandle/CURLHandleSource/build";
+				HEADER_SEARCH_PATHS = "";
 				INSTALL_PATH = "$(HOME)/Applications";
 				LIBRARY_SEARCH_PATHS = "";
@@ -284,5 +286,4 @@
 </plist>
 ";
-			shouldUseHeadermap = 1;
 		};
 		29B97327FDCFA39411CA2CEA = {
@@ -378,4 +379,20 @@
 //4A3
 //4A4
+//E10
+//E11
+//E12
+//E13
+//E14
+		E1DD5D0A049B341500FCD5FF = {
+			fileRef = F5EC504302F7A7D201AEEDB1;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+//E10
+//E11
+//E12
+//E13
+//E14
 //F50
 //F51
@@ -384,4 +401,5 @@
 //F54
 		F51D694A02CC26BA01AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = NJRHistoryTrackingComboBox.m;
@@ -389,4 +407,5 @@
 		};
 		F51D694B02CC26BA01AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = NJRHistoryTrackingComboBox.h;
@@ -406,14 +425,14 @@
 		};
 		F58CD71502CDA0D401AEEDB1 = {
-			isa = PBXFileReference;
-			name = NJRWindowMagnetism.h;
-			path = /Users/nicholas/Documents/Development/HostLauncher/NJRWindowMagnetism.h;
-			refType = 0;
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = NJRWindowMagnetism.h;
+			refType = 4;
 		};
 		F58CD71602CDA0D401AEEDB1 = {
-			isa = PBXFileReference;
-			name = NJRWindowMagnetism.m;
-			path = /Users/nicholas/Documents/Development/HostLauncher/NJRWindowMagnetism.m;
-			refType = 0;
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = NJRWindowMagnetism.m;
+			refType = 4;
 		};
 		F58CD71702CDA0D401AEEDB1 = {
@@ -434,4 +453,5 @@
 			dstSubfolderSpec = 10;
 			files = (
+				E1DD5D0A049B341500FCD5FF,
 			);
 			isa = PBXCopyFilesBuildPhase;
@@ -472,4 +492,5 @@
 		};
 		F5C2947A02C98F3D01AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = DockCam.m;
@@ -477,4 +498,5 @@
 		};
 		F5C2947B02C98F3D01AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = DockCam.h;
@@ -494,4 +516,5 @@
 		};
 		F5D224A602CC709501AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = NJRVendingImageView.m;
@@ -499,4 +522,5 @@
 		};
 		F5D224A702CC709501AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = NJRVendingImageView.h;
@@ -516,4 +540,5 @@
 		};
 		F5DAC40402CBE5B101AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = DockCamPrefs.m;
@@ -521,4 +546,5 @@
 		};
 		F5DAC40502CBE5B101AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = DockCamPrefs.h;
@@ -570,4 +596,5 @@
 		};
 		F5E40F3D02CB0BCE01AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = DockCamStatus.m;
@@ -575,4 +602,5 @@
 		};
 		F5E40F3E02CB0BCE01AEEDB1 = {
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = DockCamStatus.h;
@@ -594,5 +622,5 @@
 			isa = PBXFrameworkReference;
 			name = CURLHandle.framework;
-			path = "/Volumes/GrayExtra/Extra/Framework sources/CURLHandle/CURLHandle.framework";
+			path = "/Users/nicholas/Documents/Development/Third-party/CURLHandle/CURLHandleSource/build/CURLHandle.framework";
 			refType = 0;
 		};
Index: /trunk/Cocoa/DockCam/DockCamStatus.m
===================================================================
--- /trunk/Cocoa/DockCam/DockCamStatus.m	(revision 142)
+++ /trunk/Cocoa/DockCam/DockCamStatus.m	(revision 143)
@@ -45,5 +45,4 @@
 }
 
-w
 - (void)windowWillClose:(NSNotification *)aNotification;
 {