Index: trunk/appswitch/appswitch/appswitch.pbproj/nicholas.pbxuser
===================================================================
--- trunk/appswitch/appswitch/appswitch.pbproj/nicholas.pbxuser	(revision 100)
+++ trunk/appswitch/appswitch/appswitch.pbproj/nicholas.pbxuser	(revision 145)
@@ -21,5 +21,5 @@
 							Split0 = {
 								NavContent0 = {
-									bookmark = E1098C8203FDAAC300050002;
+									bookmark = E1B46F540404978A00050002;
 									history = (
 										E16C83D103F83AD700050002,
@@ -35,12 +35,9 @@
 										E16C83DB03F83AD700050002,
 										E16C83DD03F83AD700050002,
-										E16C83DE03F83AD700050002,
-										E16C83DF03F83AD700050002,
 										E16C840303FB5E7100050002,
 										E16C842A03FB74A500050002,
-										E132404B03FD7BD400050002,
-									);
-									nextStack = (
-										E16C842C03FB74A500050002,
+										E1B46F500404978A00050002,
+										E1B46F510404978A00050002,
+										E16C83DE03F83AD700050002,
 									);
 									prevStack = (
@@ -57,9 +54,11 @@
 										E16C83EB03F83AD700050002,
 										E16C83EC03F83AD700050002,
+										E1B46F520404978A00050002,
+										E1B46F530404978A00050002,
 									);
 								};
 								NavCount = 1;
 								NavGeometry0 = {
-									Frame = "{{0, 0}, {729, 633}}";
+									Frame = "{{0, 0}, {746, 633}}";
 									NavBarVisible = YES;
 								};
@@ -132,13 +131,13 @@
 					ContentSize = "{1018, 656}";
 					LeftSlideOut = {
-						ActiveTab = 0;
-						ActiveTabName = PBXGroupTreeModule;
+						ActiveTab = 1;
+						ActiveTabName = PBXClassBrowserModule;
 						Collapsed = NO;
 						Frame = "{{0, 23}, {1018, 633}}";
 						Split0 = {
 							Collapsed = NO;
-							Frame = "{{289, 0}, {729, 633}}";
+							Frame = "{{272, 0}, {746, 633}}";
 							Split0 = {
-								Frame = "{{0, 0}, {729, 633}}";
+								Frame = "{{0, 0}, {746, 633}}";
 							};
 							SplitCount = 1;
@@ -211,5 +210,5 @@
 						};
 						Tab1 = {
-							ClassesFrame = "{{0, 0}, {250, 333}}";
+							ClassesFrame = "{{0, 0}, {250, 381}}";
 							ClassesTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
@@ -218,6 +217,6 @@
 								207,
 							);
-							Frame = "{{0, 0}, {248, 554}}";
-							MembersFrame = "{{0, 342}, {250, 212}}";
+							Frame = "{{0, 0}, {248, 633}}";
+							MembersFrame = "{{0, 390}, {250, 243}}";
 							MembersTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
@@ -389,6 +388,4 @@
 		};
 		perUserProjectItems = {
-			E1098C8203FDAAC300050002 = E1098C8203FDAAC300050002;
-			E132404B03FD7BD400050002 = E132404B03FD7BD400050002;
 			E16C83D103F83AD700050002 = E16C83D103F83AD700050002;
 			E16C83D203F83AD700050002 = E16C83D203F83AD700050002;
@@ -404,5 +401,4 @@
 			E16C83DD03F83AD700050002 = E16C83DD03F83AD700050002;
 			E16C83DE03F83AD700050002 = E16C83DE03F83AD700050002;
-			E16C83DF03F83AD700050002 = E16C83DF03F83AD700050002;
 			E16C83E103F83AD700050002 = E16C83E103F83AD700050002;
 			E16C83E203F83AD700050002 = E16C83E203F83AD700050002;
@@ -419,5 +415,9 @@
 			E16C840303FB5E7100050002 = E16C840303FB5E7100050002;
 			E16C842A03FB74A500050002 = E16C842A03FB74A500050002;
-			E16C842C03FB74A500050002 = E16C842C03FB74A500050002;
+			E1B46F500404978A00050002 = E1B46F500404978A00050002;
+			E1B46F510404978A00050002 = E1B46F510404978A00050002;
+			E1B46F520404978A00050002 = E1B46F520404978A00050002;
+			E1B46F530404978A00050002 = E1B46F530404978A00050002;
+			E1B46F540404978A00050002 = E1B46F540404978A00050002;
 		};
 		projectwideBuildSettings = {
@@ -432,24 +432,4 @@
 		);
 	};
-	E1098C8203FDAAC300050002 = {
-		fRef = 08FB7796FE84155DC02AAC07;
-		isa = PBXTextBookmark;
-		name = "main.c: matchApplication";
-		rLen = 0;
-		rLoc = 11680;
-		rType = 0;
-		vrLen = 1813;
-		vrLoc = 10964;
-	};
-	E132404B03FD7BD400050002 = {
-		fRef = 08FB7796FE84155DC02AAC07;
-		isa = PBXTextBookmark;
-		name = "main.c: matchApplication";
-		rLen = 0;
-		rLoc = 11680;
-		rType = 0;
-		vrLen = 1716;
-		vrLoc = 11138;
-	};
 	E16C83D103F83AD700050002 = {
 		fRef = E16C83EF03F83AD700050002;
@@ -582,14 +562,4 @@
 		vrLoc = 0;
 	};
-	E16C83DF03F83AD700050002 = {
-		fRef = C6859E970290921104C91782;
-		isa = PBXTextBookmark;
-		name = "appswitch.1: 110";
-		rLen = 0;
-		rLoc = 4118;
-		rType = 0;
-		vrLen = 1732;
-		vrLoc = 2592;
-	};
 	E16C83E103F83AD700050002 = {
 		fRef = E1A0BD3203EFAD9E00050001;
@@ -627,5 +597,5 @@
 		name = "main.c: main";
 		rLen = 0;
-		rLoc = 16052;
+		rLoc = 16257;
 		rType = 0;
 		vrLen = 1650;
@@ -647,5 +617,5 @@
 		name = "main.c: matchApplication";
 		rLen = 0;
-		rLoc = 12708;
+		rLoc = 12913;
 		rType = 0;
 		vrLen = 1426;
@@ -657,5 +627,5 @@
 		name = "main.c: 51";
 		rLen = 0;
-		rLoc = 2379;
+		rLoc = 2377;
 		rType = 0;
 		vrLen = 801;
@@ -687,5 +657,5 @@
 		name = "main.c: 117";
 		rLen = 0;
-		rLoc = 5052;
+		rLoc = 5050;
 		rType = 0;
 		vrLen = 1813;
@@ -803,20 +773,4 @@
 		vrLen = 2097;
 		vrLoc = 10692;
-	};
-	E16C842C03FB74A500050002 = {
-		fRef = E16C842E03FB74A500050002;
-		isa = PBXTextBookmark;
-		name = "CFString.h: 252";
-		rLen = 142;
-		rLoc = 12196;
-		rType = 0;
-		vrLen = 2097;
-		vrLoc = 10692;
-	};
-	E16C842E03FB74A500050002 = {
-		isa = PBXFileReference;
-		name = CFString.h;
-		path = /System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFString.h;
-		refType = 0;
 	};
 	E16C842F03FB74A500050002 = {
@@ -846,3 +800,53 @@
 		);
 	};
+	E1B46F500404978A00050002 = {
+		fRef = 08FB7796FE84155DC02AAC07;
+		isa = PBXTextBookmark;
+		name = "main.c: VERSION";
+		rLen = 0;
+		rLoc = 1695;
+		rType = 0;
+		vrLen = 1811;
+		vrLoc = 0;
+	};
+	E1B46F510404978A00050002 = {
+		fRef = C6859E970290921104C91782;
+		isa = PBXTextBookmark;
+		name = "appswitch.1: 123";
+		rLen = 0;
+		rLoc = 4118;
+		rType = 0;
+		vrLen = 1451;
+		vrLoc = 2587;
+	};
+	E1B46F520404978A00050002 = {
+		fRef = 08FB7796FE84155DC02AAC07;
+		isa = PBXTextBookmark;
+		name = "main.c: VERSION";
+		rLen = 0;
+		rLoc = 1695;
+		rType = 0;
+		vrLen = 1811;
+		vrLoc = 0;
+	};
+	E1B46F530404978A00050002 = {
+		fRef = C6859E970290921104C91782;
+		isa = PBXTextBookmark;
+		name = "appswitch.1: 123";
+		rLen = 0;
+		rLoc = 4118;
+		rType = 0;
+		vrLen = 1451;
+		vrLoc = 2587;
+	};
+	E1B46F540404978A00050002 = {
+		fRef = E16C83CC03F7AF7B00050002;
+		isa = PBXTextBookmark;
+		name = "README: 88";
+		rLen = 0;
+		rLoc = 3017;
+		rType = 0;
+		vrLen = 1583;
+		vrLoc = 1611;
+	};
 }
Index: trunk/appswitch/appswitch/main.c
===================================================================
--- trunk/appswitch/appswitch/main.c	(revision 100)
+++ trunk/appswitch/appswitch/main.c	(revision 145)
@@ -66,5 +66,5 @@
 
 void usage() {
-    fprintf(stderr, "usage: %s [-sShHkFlP] [-c creator] [-i bundleID] [-a name] [-p pid] [path]\n"
+    fprintf(stderr, "usage: %s [-sShHqkFlLP] [-c creator] [-i bundleID] [-a name] [-p pid] [path]\n"
             "  -s            show application, bring windows to front (do not switch)\n"
             "  -S            show all applications\n"