Index: /trunk/appswitch/appswitch/README
===================================================================
--- /trunk/appswitch/appswitch/README	(revision 159)
+++ /trunk/appswitch/appswitch/README	(revision 160)
@@ -1,3 +1,3 @@
-appswitch 1.0.1 [19 April 2004]
+appswitch 1.0.1 [16 May 2004]
 ===============
 
@@ -42,8 +42,8 @@
 -----------
 
-A Project Builder project, 'appswitch.pbproj', is included.  A
-precompiled binary is also provided.  'appswitch' was developed and
-tested under Mac OS 10.3.3 with the April 2004 Developer Tools,
-and does not require any additional software to build.
+An Xcode project, 'appswitch.xcode', is included.  A precompiled
+binary is also provided.  'appswitch' was developed and tested under
+Mac OS 10.3.3 with the April 2004 Developer Tools, and does not
+require any additional software to build.
 
 USAGE
@@ -56,9 +56,10 @@
 other methods, this should give you some indication.
 
-appswitch -a Emacs          0.00s user 0.02s system  5% cpu 0.355 total
-appswitch -i com.gnu.Emacs  0.01s user 0.04s system 13% cpu 0.381 total
-open -a Emacs               0.30s user 0.15s system 53% cpu 0.842 total
+appswitch -a Emacs          0.00s user 0.02s system 55% cpu 0.054 total
+appswitch -i com.gnu.Emacs  0.00s user 0.04s system 63% cpu 0.063 total
+open -a Emacs               0.32s user 0.12s system 50% cpu 0.876 total
+launch -a Emacs	            0.00s user 0.03s system 35% cpu 0.085 total
 osascript -e 'tell application "Emacs" to activate'
-                            0.66s user 0.42s system 45% cpu 2.361 total
+                            0.41s user 0.23s system 67% cpu 0.949 total
 
 The above tests were performed on a PowerBook G4/800; slower systems
@@ -73,6 +74,7 @@
 ---------------
 
-1.0.1 - 19 April 2004
-- fixed crash matching applications with no bundle identifier
+1.0.1 - 16 May 2004
+ - fixed crash matching applications with no bundle identifier
+ - fixed process listing PSN column width
 1.0   - 19 February 2003
  - added description of -q delay bug (no workaround)
Index: /trunk/appswitch/appswitch/appswitch.1
===================================================================
--- /trunk/appswitch/appswitch/appswitch.1	(revision 159)
+++ /trunk/appswitch/appswitch/appswitch.1	(revision 160)
@@ -1,3 +1,3 @@
-.Dd Mon Apr 19 2004      \" DATE 
+.Dd Sun May 16 2004      \" DATE 
 .Dt APPSWITCH 1 LOCAL    \" Program name and manual section number 
 .Os appswitch 1.0.1
Index: /trunk/appswitch/appswitch/appswitch.xcode/nicholas.pbxuser
===================================================================
--- /trunk/appswitch/appswitch/appswitch.xcode/nicholas.pbxuser	(revision 159)
+++ /trunk/appswitch/appswitch/appswitch.xcode/nicholas.pbxuser	(revision 160)
@@ -2,5 +2,5 @@
 {
 	08FB7793FE84155DC02AAC07 = {
-		activeBuildStyle = 014CEA490018CE3211CA2923;
+		activeBuildStyle = 014CEA4A0018CE3211CA2923;
 		activeExecutable = E1A0BD2C03EFAD1C00050001;
 		activeTarget = 08FB779FFE84155DC02AAC07;
@@ -51,5 +51,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 104034524;
+			PBXPerProjectTemplateStateSaveDate = 106378266;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -226,14 +226,14 @@
 							isCollapsed = yes;
 							sizes = (
-								"{{0, 0}, {571, 118}}",
-								"{{0, 118}, {571, 547}}",
+								"{{0, 0}, {571, 121}}",
+								"{{0, 121}, {571, 544}}",
 							);
 						};
 						PBXProjectWorkspaceModule_DataSourceSelectionKey_Rev6 = {
-							BoundsStr = "{{0, 0}, {556, 101}}";
+							BoundsStr = "{{0, 0}, {556, 104}}";
 							Rows = (
 								0,
 							);
-							VisibleRectStr = "{{0, 0}, {556, 101}}";
+							VisibleRectStr = "{{0, 0}, {556, 104}}";
 						};
 						PBXProjectWorkspaceModule_EditorOpen = true;
@@ -241,12 +241,12 @@
 							PBXSplitModuleInNavigatorKey = {
 								Split0 = {
-									bookmark = E1737411063370F0002A81F1;
+									bookmark = E1CC5D69065735A3001A87C9;
 									history = (
-										E18A0A500633657C008DC67C,
 										E18A0A5B0633660A008DC67C,
 										E18A0A6B06336B3F008DC67C,
-										E18A0A6F06336B56008DC67C,
 										E173740F063370F0002A81F1,
 										E18A0A3A06336491008DC67C,
+										E1CC5D67065735A3001A87C9,
+										E18A0A500633657C008DC67C,
 									);
 									prevStack = (
@@ -255,5 +255,5 @@
 										E18A0A6806336B3E008DC67C,
 										E18A0A6C06336B3F008DC67C,
-										E1737410063370F0002A81F1,
+										E1CC5D68065735A3001A87C9,
 									);
 								};
@@ -272,6 +272,6 @@
 							};
 						};
-						PBXProjectWorkspaceModule_OldDetailFrame = "{{0, 0}, {571, 118}}";
-						PBXProjectWorkspaceModule_OldEditorFrame = "{{0, 118}, {571, 547}}";
+						PBXProjectWorkspaceModule_OldDetailFrame = "{{0, 0}, {571, 121}}";
+						PBXProjectWorkspaceModule_OldEditorFrame = "{{0, 121}, {571, 544}}";
 						PBXProjectWorkspaceModule_OldSuperviewFrame = "{{182, 0}, {571, 665}}";
 						PBXProjectWorkspaceModule_SGTM = {
@@ -304,5 +304,7 @@
 								PBXSmartGroupTreeModuleOutlineStateSelectionKey = (
 									(
-										10,
+										6,
+										4,
+										0,
 									),
 								);
@@ -470,10 +472,8 @@
 				RubberWindowFrame = "46 125 753 707 0 0 1280 832 ";
 			};
-			PBXWorkspaceStateSaveDate = 104034524;
+			PBXWorkspaceStateSaveDate = 106378266;
 		};
 		perUserProjectItems = {
 			E173740F063370F0002A81F1 = E173740F063370F0002A81F1;
-			E1737410063370F0002A81F1 = E1737410063370F0002A81F1;
-			E1737411063370F0002A81F1 = E1737411063370F0002A81F1;
 			E18A0A3A06336491008DC67C = E18A0A3A06336491008DC67C;
 			E18A0A3C06336491008DC67C = E18A0A3C06336491008DC67C;
@@ -484,5 +484,7 @@
 			E18A0A6B06336B3F008DC67C = E18A0A6B06336B3F008DC67C;
 			E18A0A6C06336B3F008DC67C = E18A0A6C06336B3F008DC67C;
-			E18A0A6F06336B56008DC67C = E18A0A6F06336B56008DC67C;
+			E1CC5D67065735A3001A87C9 = E1CC5D67065735A3001A87C9;
+			E1CC5D68065735A3001A87C9 = E1CC5D68065735A3001A87C9;
+			E1CC5D69065735A3001A87C9 = E1CC5D69065735A3001A87C9;
 		};
 		sourceControlManager = E18A0A29063362FF008DC67C;
@@ -492,7 +494,7 @@
 	08FB7796FE84155DC02AAC07 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {709, 5843}}";
-			sepNavSelRange = "{14100, 30}";
-			sepNavVisRect = "{{0, 4189}, {709, 443}}";
+			sepNavIntBoundsRect = "{{0, 0}, {530, 6287}}";
+			sepNavSelRange = "{16945, 0}";
+			sepNavVisRect = "{{0, 5419}, {530, 527}}";
 			sepNavWindowFrame = "{{15, 325}, {750, 502}}";
 		};
@@ -513,7 +515,7 @@
 	E16C83CC03F7AF7B00050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {530, 1036}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {530, 533}}";
+			sepNavIntBoundsRect = "{{0, 0}, {530, 1163}}";
+			sepNavSelRange = "{3337, 0}";
+			sepNavVisRect = "{{0, 456}, {530, 527}}";
 		};
 	};
@@ -535,29 +537,4 @@
 		vrLen = 1440;
 		vrLoc = 4186;
-	};
-	E1737410063370F0002A81F1 = {
-		fRef = C6859E970290921104C91782;
-		isa = PBXTextBookmark;
-		name = "appswitch.1: 4";
-		rLen = 0;
-		rLoc = 122;
-		rType = 0;
-		vrLen = 1440;
-		vrLoc = 4186;
-	};
-	E1737411063370F0002A81F1 = {
-		exec = E1A0BD2C03EFAD1C00050001;
-		isa = PBXExecutableBookmark;
-		uiCtxt = {
-			buildSettingsExpandedSubviews = (
-				0,
-				1,
-				2,
-				3,
-				4,
-				5,
-			);
-			buildSettingsVisRect = "{{0, 0}, {556, 498}}";
-		};
 	};
 	E18A0A29063362FF008DC67C = {
@@ -663,14 +640,4 @@
 		vrLoc = 0;
 	};
-	E18A0A6F06336B56008DC67C = {
-		fRef = 08FB7796FE84155DC02AAC07;
-		isa = PBXTextBookmark;
-		name = "main.c: 463";
-		rLen = 0;
-		rLoc = 18890;
-		rType = 0;
-		vrLen = 1696;
-		vrLoc = 17194;
-	};
 	E1A0BD2C03EFAD1C00050001 = {
 		activeArgIndex = 2147483647;
@@ -700,3 +667,33 @@
 		};
 	};
+	E1CC5D67065735A3001A87C9 = {
+		fRef = 08FB7796FE84155DC02AAC07;
+		isa = PBXTextBookmark;
+		name = "main.c: 420";
+		rLen = 0;
+		rLoc = 17006;
+		rType = 0;
+		vrLen = 1569;
+		vrLoc = 16415;
+	};
+	E1CC5D68065735A3001A87C9 = {
+		fRef = 08FB7796FE84155DC02AAC07;
+		isa = PBXTextBookmark;
+		name = "main.c: 420";
+		rLen = 0;
+		rLoc = 17006;
+		rType = 0;
+		vrLen = 1569;
+		vrLoc = 16415;
+	};
+	E1CC5D69065735A3001A87C9 = {
+		fRef = E16C83CC03F7AF7B00050002;
+		isa = PBXTextBookmark;
+		name = "README: 97";
+		rLen = 0;
+		rLoc = 3337;
+		rType = 0;
+		vrLen = 1567;
+		vrLoc = 1280;
+	};
 }
Index: /trunk/appswitch/appswitch/main.c
===================================================================
--- /trunk/appswitch/appswitch/main.c	(revision 159)
+++ /trunk/appswitch/appswitch/main.c	(revision 160)
@@ -24,5 +24,5 @@
 const char *APP_NAME;
 
-#define VERSION "1.0"
+#define VERSION "1.0.1"
 
 struct {
@@ -308,11 +308,11 @@
         int termwidth = 80;
         struct winsize ws;
-        char *banner = "       PSN   PID TYPE CREA NAME                ";
-                     // 12345678.0 12345 1234 1234 12345678901234567890
+        char *banner = "        PSN   PID TYPE CREA NAME               ";
+                     // 123456789.0 12345 1234 1234 1234567890123456789
         if ((ioctl(STDOUT_FILENO, TIOCGWINSZ, (char *)&ws) != -1 ||
              ioctl(STDERR_FILENO, TIOCGWINSZ, (char *)&ws) != -1 ||
              ioctl(STDIN_FILENO,  TIOCGWINSZ, (char *)&ws) != -1) ||
             ws.ws_col != 0) termwidth = ws.ws_col;
-        char *formatButPath = "%8ld.%ld %5ld %c%c%c%c %c%c%c%c %-20.20s";
+        char *formatButPath = "%9ld.%ld %5ld %c%c%c%c %c%c%c%c %-19.19s";
         int pathlen = termwidth - strlen(banner) - 1;
         // XXX don't ever free 'format', should fix if we get called repeatedly
@@ -404,5 +404,5 @@
 }
 
-int main (int argc, char * const argv[]) {
+int main(int argc, char * const argv[]) {
     OSStatus err = noErr;
 
@@ -416,5 +416,5 @@
     CPSProcessSerNum psn = matchApplication(&info);
 
-    const char *verb;
+    const char *verb = NULL;
     switch (OPTS.appAction) {
         case APP_NONE: break;
Index: /trunk/appswitch/package-appswitch.sh
===================================================================
--- /trunk/appswitch/package-appswitch.sh	(revision 159)
+++ /trunk/appswitch/package-appswitch.sh	(revision 160)
@@ -5,9 +5,11 @@
 cd appswitch && \
 find . -name \*~ -exec rm '{}' \; && \
-pbxbuild && \ 
+xcodebuild && \
 SetFile -c 'R*ch' -t 'TEXT' README VERSION && \
 strip build/appswitch && \
 sudo /usr/bin/install -c build/appswitch /usr/local/bin && \
 sudo /usr/bin/install -c appswitch.1 /usr/local/man/man1 && \
+chmod 755 build/appswitch && \
+chmod 644 appswitch.1 && \
 rm -rf build/appswitch.build build/intermediates build/.gdb_history && \
 VERSION=`cat VERSION` TARBALL="appswitch-$VERSION.tar.gz" && \
@@ -16,5 +18,5 @@
 rm -f appswitch-$VERSION $TARBALL $DMG && \
 ln -s appswitch appswitch-$VERSION && \
-tar --exclude=.DS_Store --exclude=.svn -zchf appswitch-$VERSION.tar.gz appswitch-$VERSION && \
+tar --owner=root --group=wheel --exclude=.DS_Store --exclude=.svn --exclude=.gdb_history -zchf appswitch-$VERSION.tar.gz appswitch-$VERSION && \
 #hdiutil create $DMG -megabytes 5 -ov -type UDIF && \
 #DISK=`hdid $DMG | sed -ne ' /Apple_partition_scheme/ s|^/dev/\([^ ]*\).*$|\1|p'` && \