Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist	(revision 167)
@@ -8,5 +8,5 @@
 	<string>Unsanity Installer</string>
 	<key>CFBundleGetInfoString</key>
-	<string>Unsanity Installer version 3.0.1, Copyright 2002-2003 Unsanity LLC.</string>
+	<string>Unsanity Installer version 3.3, Copyright ©2002-2004 Unsanity LLC.</string>
 	<key>CFBundleIconFile</key>
 	<string>ui.icns</string>
@@ -18,9 +18,9 @@
 	<string>APPL</string>
 	<key>CFBundleShortVersionString</key>
-	<string>Unsanity Installer version 3.0</string>
+	<string>Unsanity Installer version 3.3</string>
 	<key>CFBundleSignature</key>
 	<string>????</string>
 	<key>CFBundleVersion</key>
-	<string>3.1</string>
+	<string>3.3</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib	(revision 167)
@@ -11,5 +11,5 @@
 	</dict>
 	<key>IBFramework Version</key>
-	<string>291.0</string>
+	<string>364.0</string>
 	<key>IBOpenObjects</key>
 	<array>
@@ -18,5 +18,17 @@
 	</array>
 	<key>IBSystem Version</key>
-	<string>6G19</string>
+	<string>7M34</string>
+	<key>IBUserGuides</key>
+	<dict>
+		<key>21</key>
+		<dict>
+			<key>guideLocations</key>
+			<array>
+				<string>Vertical:334.000000</string>
+			</array>
+			<key>guidesLocked</key>
+			<false/>
+		</dict>
+	</dict>
 </dict>
 </plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/InfoPlist.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/InfoPlist.strings	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/InfoPlist.strings	(revision 167)
@@ -0,0 +1,6 @@
+/* Localized versions of Info.plist keys */
+
+CFBundleName = "Unsanity Installer";
+CFBundleShortVersionString = "Unsanity Installer versione 3.3";
+CFBundleGetInfoString = "Unsanity Installer versione 3.3, Copyright ©2002-2004, Unsanity LLC.";
+NSHumanReadableCopyright = "Copyright ©2002-2004, Unsanity LLC.";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/Localizable.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/Localizable.strings	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/Localizable.strings	(revision 167)
@@ -0,0 +1,86 @@
+/* Incompatible OSX Panel */
+"Incompatible Mac OS X Version" = "Versione Mac OS X Incompatibile";
+"%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system." = "%@ richiede almeno Mac OS X %@. Hai una versione precedente installata. Per favore Aggiorna o scarica una versione precedente di %@ che sia compatibile col tuo sistema.";
+
+/* Ready Tab */
+"%@ was already installed for all users on this machine, and you are trying to install a local version. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. You can either Cancel, try to Remove for All Users or try to Install for All Users (you will need administrator priviliges for latter two)." = "%@ è già stato installato per tutti gli utenti di questo computer, e stai cercando di installare una versione locale. Facendo cosi risulteranno 2 copie di %@ attive sul tuo Macintosh, il che non è buona idea. Puoi sia Annullare, provare a Rimuovere Per Tutti Gli Utenti o reinstallare per Tutti Gli Utenti (verranno richiesti i privilegi di amministratore).";
+"%@ was already installed for this user, and you're about to do an install for all users on this machine. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. If you Continue, this installer will first remove the version installed for this user, then proceed with all users installation." = "%@ è già stato installato per questo utente, e stai per installare un altra copia per tutti gli utenti. Facendo cosi risulteranno 2 copie di %@ attive sul tuo Macintosh, il che non è buona idea. Se Continui, questo installatore prima rimuoverà la versione installata per questo utente, poi procederà all'installazione per tutti gli utenti.";
+"Already Installed For All Users" = "Già Installato Per Tutti Gli Utenti";
+"Already Installed For This User" = "Già Installato Per Questo Utente";
+"Install For All Users" = "Installa Per Tutti Gli Utenti";
+"When you click \"Continue\", you will be asked to authenticate with your administrator password, if needed. This is done because certain components of this software has to be installed system-wide in order to function properly." = "Quando Cliccherai su \"Continua\", ti verrà richiesta la parola chiave di amministratore. Questo avviene perché alcuni componenti del programma devono essere installati lungo tutto il sistema per funzionare adeguatamente.";
+
+/* Install Table Strings */
+"Application Enhancer" = "Application Enhancer";
+"Installed \"%@\"" = "Installato \"%@\"";
+"Created folder \"%@\"" = "Cartella creata \"%@\"";
+"Uninstalled previously installed" = "Disintallata l'installazione precedente";
+"(files were moved to the Trash)" = "(i files sono stati Cestinati)";
+
+/* Uninstall Panel */
+"Are you sure you want to uninstall %@ %@ %@? Please note that this installer will automatically uninstall an older version of the product during the installation." = "Siete sicuro di disinstallare %@ %@ %@? Per favore nota che questo Disinstallatore rimuoverà automaticamente una versione più vecchia del prodotto durante il processo.";
+"globally installed" = "globalmente installato";
+"locally installed" = "localmente installato";
+
+/* Authentication Failed Panel */
+"Authentication Failed" = "Autenticazione Fallita";
+"You have failed to enter the administrator password; this installer requires Administrator privileges to install the software you have selected. Please try again." = "Non sei riuscito a digitare la parola d'accesso dell'amministratore; questo installatore richiede i privilegi dell'amministratore per installare il software selezionato. Prego riprova.";
+
+/* Button Titles */
+"OK" = "OK";
+"Cancel" = "Annulla";
+"Continue" = "Continua";
+"Go Back" = "Torna Indietro";
+"Quit" = "Esci";
+"Uninstall" = "Disinstalla";
+
+/* Version n/a */
+"n/a" = "n/d";
+
+/* Install paths for Show Files window */
+"%@ or %@" = "%@ o %@";
+
+/* Options Tab */
+"Open \"%@\" %@ Upon Completion" = "Apro \"%@\" %@ Completato";
+
+/* Ready Tab */
+"Remove For All Users" = "Rimuovi Per Tutti Gli Utenti";
+
+/* Step N of M strings */
+"Step %d of %d" = "Passo %d di %d";
+"Step %d of %d: %@" = "Passo %d di %d: %@";
+"About This Product" = "Riguardo Questo Prodotto";
+"License Agreement" = "Accordo Licenza";
+"Installation Options" = "Opzioni di Installazione";
+"Ready To Install" = "Pronto per Installare";
+"Install Progress" = "Andamento Installazione";
+"Installation Complete" = "Installazione Completata";
+
+/* Installer Information Missing Panel */
+"Installer Information Missing" = "Informazioni Installatore Mancanti";
+"This installer cannot find or read the required information about the installable product.\n\nThe installer is unable to continue. Please contact the author of the software or re-download the package." = "Questo installatore non può trovare o leggere le informazioni richieste sull'installatore installabile del prodotto.\n\nL'installatore non può continuare. Per favore contatta l'autore del software o ri-scarica il pacchetto.";
+
+/* Uninstall Panel */
+"Uninstall Complete" = "Disinstallazione Completata";
+"Uninstall Failed" = "Disinstallazione fallita";
+"We were unable to uninstall %@ from your system. Please check if you have entered your administrator password correctly and that you have sufficient privileges and try again (or remove the files manually)." = "Non abbiamo potuto disinstallare %@ dal sistema. Per favore controlla se hai digitato correttamente la vostra parola d'accesso dell'amministratore e se si hanno i privilegi sufficienti e prova ancora (o rimuovi manualmente gli archivi).";
+"You will be asked for your administrator password when you click Uninstall." = "Verrà chiesta la parola d'accesso dell'amministratore quando cliccherai su Disinstalla.";
+"%@ was successfully uninstalled from your system. Thank you for evaluating our product!" = "%@ e' stato disinstallato con successo dal vostro sistema. Grazie per la valutazione del nostro prodotto!";
+
+/* Default Product Name */
+"Untitled Product" = "Prodotto Senza Titolo";
+
+/* Default Product Version */
+"1.0" = "1.0";
+
+/* Default Product Type */
+"Application" = "Applicazione";
+
+/* Window title */
+"Installer" = "Installatore"; /* (ProductName) Installer */
+
+/* Done Tab */
+"Log Out Suggested" = "Log Out Consigliato";
+"When you click the \"Quit\" button below, the installed product will be launched, and this Installer will quit." = "Quando sotto clicchi \"Esci\" , il prodotto installato verrà lanciato, e l'installer si chiuderà.";
+"When you click the \"Quit\" button below, this Installer will quit." = "Quando sotto clicchi \"Esci\" ,  l'installer si chiuderà.";
+"You are strongly advised to log out or restart your computer in order for the installed product to completely take effect. Thank you!" = "Sei fortemente consigliato di uscire e riaccedere dall'utenza (log in/out) affinchè il prodotto installato entri in azione. Grazie!";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/classes.nib	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/classes.nib	(revision 167)
@@ -0,0 +1,46 @@
+{
+    IBClasses = (
+        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {
+            ACTIONS = {
+                doAPEHomePage = id; 
+                doBackButton = id; 
+                doContinueButton = id; 
+                doLicenseAgree = id; 
+                doLicenseDisagree = id; 
+                doShowInstallFiles = id; 
+                doUninstallCancel = id; 
+                doUninstallConfirm = id; 
+            }; 
+            CLASS = UIController; 
+            LANGUAGE = ObjC; 
+            OUTLETS = {
+                apeCurrentVersionText = id; 
+                apeInstallVersionText = id; 
+                donLogOutText = id; 
+                donQuitText = id; 
+                filFilesTable = id; 
+                filWindow = id; 
+                genBackButton = id; 
+                genContinueButton = id; 
+                genStepText = id; 
+                insFilesTable = id; 
+                licAgreePanel = id; 
+                licTextView = id; 
+                optCreateLog = id; 
+                optGlobalInstallMatrix = id; 
+                optOpenUponCompletion = id; 
+                redExplanationText = id; 
+                remTextView = id; 
+                tabView = id; 
+                uniAuthRequiredText = id; 
+                uniExplanationText = id; 
+                uniFilesTable = id; 
+                uniPanel = id; 
+            }; 
+            SUPERCLASS = NSWindowController; 
+        }, 
+        {CLASS = URLTextView; LANGUAGE = ObjC; SUPERCLASS = NSTextView; }
+    ); 
+    IBVersion = 1; 
+}
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/info.nib	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/info.nib	(revision 167)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBDocumentLocation</key>
+	<string>2 8 356 240 0 0 1280 832 </string>
+	<key>IBEditorPositions</key>
+	<dict>
+		<key>29</key>
+		<string>42 522 202 44 0 0 1280 832 </string>
+	</dict>
+	<key>IBFramework Version</key>
+	<string>364.0</string>
+	<key>IBOpenObjects</key>
+	<array>
+		<integer>21</integer>
+	</array>
+	<key>IBSystem Version</key>
+	<string>7M34</string>
+	<key>IBUserGuides</key>
+	<dict>
+		<key>21</key>
+		<dict>
+			<key>guideLocations</key>
+			<array>
+				<string>Vertical:334.000000</string>
+			</array>
+			<key>guidesLocked</key>
+			<false/>
+		</dict>
+	</dict>
+</dict>
+</plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Japanese.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Japanese.lproj/MainMenu.nib/classes.nib	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Japanese.lproj/MainMenu.nib/classes.nib	(revision 167)
@@ -0,0 +1,46 @@
+{
+    IBClasses = (
+        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {
+            ACTIONS = {
+                doAPEHomePage = id; 
+                doBackButton = id; 
+                doContinueButton = id; 
+                doLicenseAgree = id; 
+                doLicenseDisagree = id; 
+                doShowInstallFiles = id; 
+                doUninstallCancel = id; 
+                doUninstallConfirm = id; 
+            }; 
+            CLASS = UIController; 
+            LANGUAGE = ObjC; 
+            OUTLETS = {
+                apeCurrentVersionText = id; 
+                apeInstallVersionText = id; 
+                donLogOutText = id; 
+                donQuitText = id; 
+                filFilesTable = id; 
+                filWindow = id; 
+                genBackButton = id; 
+                genContinueButton = id; 
+                genStepText = id; 
+                insFilesTable = id; 
+                licAgreePanel = id; 
+                licTextView = id; 
+                optCreateLog = id; 
+                optGlobalInstallMatrix = id; 
+                optOpenUponCompletion = id; 
+                redExplanationText = id; 
+                remTextView = id; 
+                tabView = id; 
+                uniAuthRequiredText = id; 
+                uniExplanationText = id; 
+                uniFilesTable = id; 
+                uniPanel = id; 
+            }; 
+            SUPERCLASS = NSWindowController; 
+        }, 
+        {CLASS = URLTextView; LANGUAGE = ObjC; SUPERCLASS = NSTextView; }
+    ); 
+    IBVersion = 1; 
+}
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Japanese.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Japanese.lproj/MainMenu.nib/info.nib	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Japanese.lproj/MainMenu.nib/info.nib	(revision 167)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBDocumentLocation</key>
+	<string>4 10 356 240 0 0 1280 832 </string>
+	<key>IBEditorPositions</key>
+	<dict>
+		<key>29</key>
+		<string>55 519 250 44 0 0 1280 832 </string>
+	</dict>
+	<key>IBFramework Version</key>
+	<string>364.0</string>
+	<key>IBOpenObjects</key>
+	<array>
+		<integer>21</integer>
+	</array>
+	<key>IBSystem Version</key>
+	<string>7M34</string>
+	<key>IBUserGuides</key>
+	<dict>
+		<key>21</key>
+		<dict>
+			<key>guideLocations</key>
+			<array>
+				<string>Vertical:334.000000</string>
+			</array>
+			<key>guidesLocked</key>
+			<false/>
+		</dict>
+	</dict>
+</dict>
+</plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/InfoPlist.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/InfoPlist.strings	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/InfoPlist.strings	(revision 167)
@@ -0,0 +1,6 @@
+/* Localized versions of Info.plist keys */
+
+CFBundleName = "Instalador Unsanity";
+CFBundleShortVersionString = "Instalador Unsanity";
+CFBundleGetInfoString = "Instalador Unsanity versión 3.3, Copyright ©2002-2004, Unsanity LLC.";
+NSHumanReadableCopyright = "Copyright ©2002-2004, Unsanity LLC.";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/Localizable.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/Localizable.strings	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/Localizable.strings	(revision 167)
@@ -0,0 +1,85 @@
+/* Incompatible OSX Panel */
+"Incompatible Mac OS X Version" = "Versión de Mac OS X incompatible";
+"%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system." = "%@ requiere al menos Mac OS X %@. Usted tiene instalada una versión antigua. Por favor, actualice o descargue una versión de %@ que sea compatible con su sistema.";
+
+/* Ready Tab */
+"%@ was already installed for all users on this machine, and you are trying to install a local version. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. You can either Cancel, try to Remove for All Users or try to Install for All Users (you will need administrator priviliges for latter two)." = "%@ ya está instalado para todos los usuarios de esta máquina, y usted está intentando instalar una versión local. Esto dará como resultado tener dos copias de %@ corriendo en su Macintosh, lo cual no es una buena idea. Usted puede Cancelar, Intentar Borrarla para Todos los Usuarios o Instalarla para Todos los Usuarios (necesitará privilegios de administrador para estos dos últimos).";
+"%@ was already installed for this user, and you're about to do an install for all users on this machine. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. If you Continue, this installer will first remove the version installed for this user, then proceed with all users installation." = "%@ ya está instalado para este usuario, y usted está intentando instalarlo para todos los usuarios de esta máquina. Esto dará como resultado tener dos copias de %@ corriendo en su Macintosh, lo cual no es una buena idea. Si usted Continua, este instalador primero borrará la versión de este usuario, y luego procederá a la instalación para todos los usuarios.";
+"Already Installed For All Users" = "Ya instalado para todos los usuarios";
+"Already Installed For This User" = "Ya instalado para este usuario";
+"Install For All Users" = "Instalar para todos los usuarios";
+"When you click \"Continue\", you will be asked to authenticate with your administrator password, if needed. This is done because certain components of this software has to be installed system-wide in order to function properly." = "Cuando haga clic en \"Continue\", se le preguntará por su contraseña de administrador para autenticarse, si es necesario. Esto es debido porque algunos componentes de este software tienen que instalarse integrados al sistema para funcionar correctamente.";
+
+/* Install Table Strings */
+"Application Enhancer" = "Application Enhancer";
+"Installed \"%@\"" = "Instalado \"%@\"";
+"Created folder \"%@\"" = "Carpeta creada \"%@\"";
+"Uninstalled previously installed" = "Desinstalando";
+"(files were moved to the Trash)" = "(archivos movidos a la Papelera)";
+
+/* Uninstall Panel */
+"Are you sure you want to uninstall %@ %@ %@? Please note that this installer will automatically uninstall an older version of the product during the installation." = "¿Está seguro de que quiere desinstalar %@ %@ %@? Se desinstalará automáticamente la versión antigua del producto durante la instalación.";
+"globally installed" = "globalmente instalado";
+"locally installed" = "localmente instalado";
+
+/* Authentication Failed Panel */
+"Authentication Failed" = "Autenticación errónea";
+"You have failed to enter the administrator password; this installer requires Administrator privileges to install the software you have selected. Please try again." = "La contraseña de administrador no es correcta; este instalador requiere privilegios de Administrador para instalar el software seleccionado. Por favor, inténtelo de nuevo.";
+
+/* Button Titles */
+"OK" = "OK";
+"Cancel" = "Cancelar";
+"Continue" = "Continuar";
+"Go Back" = "Volver atrás";
+"Quit" = "Salir";
+"Uninstall" = "Desinstalar";
+
+/* Version n/a */
+"n/a" = "n/a";
+
+/* Install paths for Show Files window */
+"%@ or %@" = "%@ o %@";
+
+/* Options Tab */
+"Open \"%@\" %@ Upon Completion" = "Abrir \"%@\" %@ al terminar";
+
+/* Ready Tab */
+"Remove For All Users" = "Borrar para todos los usuarios";
+
+/* Step N of M strings */
+"Step %d of %d" = "Paso %d de %d";
+"Step %d of %d: %@" = "Paso %d de %d: %@";
+"License Agreement" = "Acuerdo de licencia";
+"About This Product" = "Acerca de este producto";
+"Installation Options" = "Opciones de instalación";
+"Ready To Install" = "Preparado para instalar";
+"Install Progress" = "Progreso de instalación";
+"Installation Complete" = "Instalación completada";
+
+/* Installer Information Missing Panel */
+"Installer Information Missing" = "No se encuentra la información del Instalador";
+"This installer cannot find or read the required information about the installable product.\n\nThe installer is unable to continue. Please contact the author of the software or re-download the package." = "Este instalador no puede encontrar o leer la información requerida acerca del producto.\n\nEl instalador no puede continuar. Por favor, contacte con el autor del software o vuelva a descargar el paquete.";
+
+/* Uninstall Panel */
+"Uninstall Complete" = "Desinstalación completa";
+"Uninstall Failed" = "Desinstalación fallida";
+"We were unable to uninstall %@ from your system. Please check if you have entered your administrator password correctly and that you have sufficient privileges and try again (or remove the files manually)." = "No se puede desinstalar %@ de su sistema. Por favor, compruebe que ha introducido correctamente su contraseña de administrador y que tiene suficientes privilegios e inténtelo de nuevo (o borre los archivos manualmente).";
+"You will be asked for your administrator password when you click Uninstall." = "Se le preguntará por su contraseña de administrador cuando haga clic en Desinstalar.";
+"%@ was successfully uninstalled from your system. Thank you for evaluating our product!" = "%@ se ha desinstalado con éxito de su sistema. ¡Gracias por probar nuestro producto!";
+
+/* Default Product Name */
+"Untitled Product" = "Producto sin título";
+
+/* Default Product Version */
+"1.0" = "1.0";
+
+/* Default Product Type */
+"Application" = "Aplicación";
+
+/* Window title */
+"Installer" = "Instalador"; /* (ProductName) Installer */
+
+/* Done Tab */
+"When you click the \"Quit\" button below, the installed product will be launched, and this Installer will quit." = "Cuando haga clic en el botón \"Quit\" inferior, se lanzará el producto instalado, y este Instalador saldrá de él.";
+"When you click the \"Quit\" button below, this Installer will quit." = "Cuando haga clic en el botón \"Quit\" inferior, este Instalador saldrá.";
+"You are strongly advised to log out or restart your computer in order for the installed product to completely take effect. Thank you!" = "Le aconsejamos con fuerza cerrar sesión o reiniciar su ordenador para que tenga efecto completamente el producto instalado. ¡Gracias!";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/MainMenu.nib/classes.nib	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/MainMenu.nib/classes.nib	(revision 167)
@@ -0,0 +1,46 @@
+{
+    IBClasses = (
+        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {
+            ACTIONS = {
+                doAPEHomePage = id; 
+                doBackButton = id; 
+                doContinueButton = id; 
+                doLicenseAgree = id; 
+                doLicenseDisagree = id; 
+                doShowInstallFiles = id; 
+                doUninstallCancel = id; 
+                doUninstallConfirm = id; 
+            }; 
+            CLASS = UIController; 
+            LANGUAGE = ObjC; 
+            OUTLETS = {
+                apeCurrentVersionText = id; 
+                apeInstallVersionText = id; 
+                donLogOutText = id; 
+                donQuitText = id; 
+                filFilesTable = id; 
+                filWindow = id; 
+                genBackButton = id; 
+                genContinueButton = id; 
+                genStepText = id; 
+                insFilesTable = id; 
+                licAgreePanel = id; 
+                licTextView = id; 
+                optCreateLog = id; 
+                optGlobalInstallMatrix = id; 
+                optOpenUponCompletion = id; 
+                redExplanationText = id; 
+                remTextView = id; 
+                tabView = id; 
+                uniAuthRequiredText = id; 
+                uniExplanationText = id; 
+                uniFilesTable = id; 
+                uniPanel = id; 
+            }; 
+            SUPERCLASS = NSWindowController; 
+        }, 
+        {CLASS = URLTextView; LANGUAGE = ObjC; SUPERCLASS = NSTextView; }
+    ); 
+    IBVersion = 1; 
+}
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/MainMenu.nib/info.nib	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/MainMenu.nib/info.nib	(revision 167)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBDocumentLocation</key>
+	<string>63 90 356 240 0 0 1280 832 </string>
+	<key>IBEditorPositions</key>
+	<dict>
+		<key>29</key>
+		<string>90 432 202 44 0 0 1280 832 </string>
+	</dict>
+	<key>IBFramework Version</key>
+	<string>364.0</string>
+	<key>IBOpenObjects</key>
+	<array>
+		<integer>21</integer>
+	</array>
+	<key>IBSystem Version</key>
+	<string>7M34</string>
+	<key>IBUserGuides</key>
+	<dict>
+		<key>21</key>
+		<dict>
+			<key>guideLocations</key>
+			<array>
+				<string>Vertical:334.000000</string>
+			</array>
+			<key>guidesLocked</key>
+			<false/>
+		</dict>
+	</dict>
+</dict>
+</plist>